# rpy-calculator

We are making a calculator out of a Raspberry Pi and an LCD screen!
It'll boot straight into a Python interpreter for use as a desktop calculator, the way the original Python was intended to be used.

## Purpose

Python makes for a great scriptable calculator! It would be super cool to make a compact calculator that presents the user with a Python interpreter to use for solving complex problems.
CW still has one year of college left, and since he loves Python so much, he wants to ditch his graphic calculator in favor of it!
Also, it'll just be fun to play with some hardware for a change!

## Methodology

This project will attemt to construct as compact of a device as possible while still retaining usability of input and graphing capabilities.
In order to do this, a Raspberry Pi Zero will be used along with a 3.5" LCD screen that attaches using the SPI interface of the GPIO on the PiZ.
A separate, wireless handheld keyboard will be used for input.

## Materials

This will be a work-in progress list.

* Raspberry Pi Zero
* >4GB microSD card Class 10
* "TinyLCD35" 3.5 inch TFT Display with pcb for Raspberry Pi Zero from NeoSec
* 4x AAA battery holder
* 4x AAA batteries
* 5V VRM
* SPST power switch
* USB OTG Cable
* iPazzPort Wireless Mini Handheld Keyboard
* 3D printed case (Design will be provided)
* Custom-booting Raspbian Lite